Index: doc/itron3.0/config.t
===================================================================
--- doc/itron3.0/config.t	(revision ce66895e86c10ceb01eff50277508b5f270648e4)
+++ doc/itron3.0/config.t	(revision b4b24f4b85fb1f57ba7a952b4c860247fb852bf5)
@@ -17,9 +17,10 @@
 
 @itemize @bullet
-@item @code{get_ver} - 
-@item @code{ref_sys} - 
-@item @code{ref_cfg} - 
-@item @code{def_svc} - 
-@item @code{def_exc} - 
+@item @code{get_ver} - Get Version Information
+ Get Version Information of another Node
+@item @code{ref_sys} - Reference Semaphore Status
+@item @code{ref_cfg} - Reference Configuration Information
+@item @code{def_svc} - Define Extended SVC Handler
+@item @code{def_exc} - Define Exception Handler
 @end itemize
 
@@ -28,5 +29,5 @@
 @section Operations
 
-@section Directives
+@section System Calls
 
 This section details the system manager's services.
@@ -41,5 +42,6 @@
 
 @page
-@subsection get_ver - 
+@subsection get_ver - Get Version Information
+ Get Version Information of another Node
 
 @subheading CALLING SEQUENCE:
@@ -69,5 +71,5 @@
 
 @page
-@subsection ref_sys - 
+@subsection ref_sys - Reference Semaphore Status
 
 @subheading CALLING SEQUENCE:
@@ -97,5 +99,5 @@
 
 @page
-@subsection ref_cfg - 
+@subsection ref_cfg - Reference Configuration Information
 
 @subheading CALLING SEQUENCE:
@@ -125,5 +127,5 @@
 
 @page
-@subsection def_svc - 
+@subsection def_svc - Define Extended SVC Handler
 
 @subheading CALLING SEQUENCE:
@@ -153,5 +155,5 @@
 
 @page
-@subsection def_exc - 
+@subsection def_exc - Define Exception Handler
 
 @subheading CALLING SEQUENCE:
Index: doc/itron3.0/eventflags.t
===================================================================
--- doc/itron3.0/eventflags.t	(revision ce66895e86c10ceb01eff50277508b5f270648e4)
+++ doc/itron3.0/eventflags.t	(revision b4b24f4b85fb1f57ba7a952b4c860247fb852bf5)
@@ -17,12 +17,13 @@
 
 @itemize @bullet
-@item @code{cre_flg} - 
-@item @code{del_flg} - 
-@item @code{set_flg} - 
-@item @code{clr_flg} - 
-@item @code{wai_flg} - 
-@item @code{pol_flg} - 
-@item @code{twai_flg} - 
-@item @code{ref_flg} - 
+@item @code{cre_flg} - Create Eventflag
+@item @code{del_flg} - Delete Eventflag
+@item @code{set_flg} - Set Eventflag
+@item @code{clr_flg} - Clear Eventflag
+@item @code{wai_flg} - Wait on Eventflag with Timeout
+ Wait on Eventflag
+@item @code{pol_flg} - Wait for Eventflag (Polling)
+@item @code{twai_flg} - Wait on Eventflag with Timeout
+@item @code{ref_flg} - Reference Eventflag Status
 @end itemize
 
@@ -31,5 +32,5 @@
 @section Operations
 
-@section Directives
+@section System Calls
 
 This section details the eventflags manager's services.
@@ -44,5 +45,5 @@
 
 @page
-@subsection cre_flg - 
+@subsection cre_flg - Create Eventflag
 
 @subheading CALLING SEQUENCE:
@@ -72,5 +73,5 @@
 
 @page
-@subsection del_flg - 
+@subsection del_flg - Delete Eventflag
 
 @subheading CALLING SEQUENCE:
@@ -100,5 +101,5 @@
 
 @page
-@subsection set_flg - 
+@subsection set_flg - Set Eventflag
 
 @subheading CALLING SEQUENCE:
@@ -128,5 +129,5 @@
 
 @page
-@subsection clr_flg - 
+@subsection clr_flg - Clear Eventflag
 
 @subheading CALLING SEQUENCE:
@@ -156,5 +157,6 @@
 
 @page
-@subsection wai_flg - 
+@subsection wai_flg - Wait on Eventflag with Timeout
+ Wait on Eventflag
 
 @subheading CALLING SEQUENCE:
@@ -184,5 +186,5 @@
 
 @page
-@subsection pol_flg - 
+@subsection pol_flg - Wait for Eventflag (Polling)
 
 @subheading CALLING SEQUENCE:
@@ -212,5 +214,5 @@
 
 @page
-@subsection twai_flg - 
+@subsection twai_flg - Wait on Eventflag with Timeout
 
 @subheading CALLING SEQUENCE:
@@ -240,5 +242,5 @@
 
 @page
-@subsection ref_flg - 
+@subsection ref_flg - Reference Eventflag Status
 
 @subheading CALLING SEQUENCE:
Index: doc/itron3.0/fixedblock.t
===================================================================
--- doc/itron3.0/fixedblock.t	(revision ce66895e86c10ceb01eff50277508b5f270648e4)
+++ doc/itron3.0/fixedblock.t	(revision b4b24f4b85fb1f57ba7a952b4c860247fb852bf5)
@@ -17,11 +17,13 @@
 
 @itemize @bullet
-@item @code{cre_mpf} - 
-@item @code{del_mpf} - 
-@item @code{get_blf} - 
-@item @code{pget_blf} - 
-@item @code{tget_blf} - 
-@item @code{rel_blf} - 
-@item @code{ref_mpf} - 
+@item @code{cre_mpf} - Create Fixed-Size Memorypool
+@item @code{del_mpf} - Delete Fixed-Size Memorypool
+@item @code{get_blf} - Get Fixed-Size Memory Block
+ Poll and Get Fixed-Size Memory Block
+ Get Fixed-Size Memory Block with Timeout
+@item @code{pget_blf} - Poll and Get Fixed-Size Memory Block
+@item @code{tget_blf} - Get Fixed-Size Memory Block with Timeout
+@item @code{rel_blf} - Release Fixed-Size Memory Block
+@item @code{ref_mpf} - Reference Fixed-Size Memorypool Status
 @end itemize
 
@@ -30,5 +32,5 @@
 @section Operations
 
-@section Directives
+@section System Calls
 
 This section details the fixed block manager's services.
@@ -43,5 +45,5 @@
 
 @page
-@subsection cre_mpf - 
+@subsection cre_mpf - Create Fixed-Size Memorypool
 
 @subheading CALLING SEQUENCE:
@@ -71,5 +73,5 @@
 
 @page
-@subsection del_mpf - 
+@subsection del_mpf - Delete Fixed-Size Memorypool
 
 @subheading CALLING SEQUENCE:
@@ -99,5 +101,7 @@
 
 @page
-@subsection get_blf - 
+@subsection get_blf - Get Fixed-Size Memory Block
+ Poll and Get Fixed-Size Memory Block
+ Get Fixed-Size Memory Block with Timeout
 
 @subheading CALLING SEQUENCE:
@@ -127,5 +131,5 @@
 
 @page
-@subsection pget_blf - 
+@subsection pget_blf - Poll and Get Fixed-Size Memory Block
 
 @subheading CALLING SEQUENCE:
@@ -155,5 +159,5 @@
 
 @page
-@subsection tget_blf - 
+@subsection tget_blf - Get Fixed-Size Memory Block with Timeout
 
 @subheading CALLING SEQUENCE:
@@ -183,5 +187,5 @@
 
 @page
-@subsection rel_blf - 
+@subsection rel_blf - Release Fixed-Size Memory Block
 
 @subheading CALLING SEQUENCE:
@@ -211,5 +215,5 @@
 
 @page
-@subsection ref_mpf - 
+@subsection ref_mpf - Reference Fixed-Size Memorypool Status
 
 @subheading CALLING SEQUENCE:
Index: doc/itron3.0/gen_section
===================================================================
--- doc/itron3.0/gen_section	(revision ce66895e86c10ceb01eff50277508b5f270648e4)
+++ doc/itron3.0/gen_section	(revision b4b24f4b85fb1f57ba7a952b4c860247fb852bf5)
@@ -127,5 +127,7 @@
 for routine in ${ROUTINES}
 do
-  echo "@item @code{${routine}} - "
+  description=`grep ${routine} ../../itron_spec/itron3-1.txt | grep "]" | cut -d']' -f2`
+  description=`echo ${description}`
+  echo "@item @code{${routine}} - ${description}"
 done
 echo "@end itemize"
@@ -136,5 +138,5 @@
 echo "@section Operations"
 echo ""
-echo "@section Directives"
+echo "@section System Calls"
 echo ""
 echo "This section details the ${CHAPTER_LOWER} manager's services."
@@ -146,4 +148,6 @@
 for routine in ${ROUTINES}
 do
+  description=`grep ${routine} ../../itron_spec/itron3-1.txt | grep "]" | cut -d']' -f2`
+  description=`echo ${description}`
   echo ""
   echo "@c"
@@ -152,5 +156,5 @@
   echo ""
   echo "@page"
-  echo "@subsection ${routine} - "
+  echo "@subsection ${routine} - ${description}"
   echo ""
   echo "@subheading CALLING SEQUENCE:"
Index: doc/itron3.0/interrupt.t
===================================================================
--- doc/itron3.0/interrupt.t	(revision ce66895e86c10ceb01eff50277508b5f270648e4)
+++ doc/itron3.0/interrupt.t	(revision b4b24f4b85fb1f57ba7a952b4c860247fb852bf5)
@@ -17,13 +17,13 @@
 
 @itemize @bullet
-@item @code{def_int} - 
-@item @code{ret_int} - 
-@item @code{ret_wup} - 
-@item @code{loc_cpu} - 
-@item @code{unl_cpu} - 
-@item @code{dis_int} - 
-@item @code{ena_int} - 
-@item @code{chg_iXX} - 
-@item @code{ref_iXX} - 
+@item @code{def_int} - Define Interrupt Handler
+@item @code{ret_int} - Return from Interrupt Handler
+@item @code{ret_wup} - Return and Wakeup Task
+@item @code{loc_cpu} - Lock CPU
+@item @code{unl_cpu} - Unlock CPU
+@item @code{dis_int} - Disable Interrupt
+@item @code{ena_int} - Enable Interrupt
+@item @code{chg_iXX} - Change Interrupt Mask (Level or Priority)
+@item @code{ref_iXX} - Reference Interrupt Mask (Level or Priority)
 @end itemize
 
@@ -32,5 +32,5 @@
 @section Operations
 
-@section Directives
+@section System Calls
 
 This section details the interrupt manager's services.
@@ -45,5 +45,5 @@
 
 @page
-@subsection def_int - 
+@subsection def_int - Define Interrupt Handler
 
 @subheading CALLING SEQUENCE:
@@ -73,5 +73,5 @@
 
 @page
-@subsection ret_int - 
+@subsection ret_int - Return from Interrupt Handler
 
 @subheading CALLING SEQUENCE:
@@ -101,5 +101,5 @@
 
 @page
-@subsection ret_wup - 
+@subsection ret_wup - Return and Wakeup Task
 
 @subheading CALLING SEQUENCE:
@@ -129,5 +129,5 @@
 
 @page
-@subsection loc_cpu - 
+@subsection loc_cpu - Lock CPU
 
 @subheading CALLING SEQUENCE:
@@ -157,5 +157,5 @@
 
 @page
-@subsection unl_cpu - 
+@subsection unl_cpu - Unlock CPU
 
 @subheading CALLING SEQUENCE:
@@ -185,5 +185,5 @@
 
 @page
-@subsection dis_int - 
+@subsection dis_int - Disable Interrupt
 
 @subheading CALLING SEQUENCE:
@@ -213,5 +213,5 @@
 
 @page
-@subsection ena_int - 
+@subsection ena_int - Enable Interrupt
 
 @subheading CALLING SEQUENCE:
@@ -241,5 +241,5 @@
 
 @page
-@subsection chg_iXX - 
+@subsection chg_iXX - Change Interrupt Mask (Level or Priority)
 
 @subheading CALLING SEQUENCE:
@@ -269,5 +269,5 @@
 
 @page
-@subsection ref_iXX - 
+@subsection ref_iXX - Reference Interrupt Mask (Level or Priority)
 
 @subheading CALLING SEQUENCE:
Index: doc/itron3.0/mailbox.t
===================================================================
--- doc/itron3.0/mailbox.t	(revision ce66895e86c10ceb01eff50277508b5f270648e4)
+++ doc/itron3.0/mailbox.t	(revision b4b24f4b85fb1f57ba7a952b4c860247fb852bf5)
@@ -17,11 +17,13 @@
 
 @itemize @bullet
-@item @code{cre_mbx} - 
-@item @code{del_mbx} - 
-@item @code{snd_msg} - 
-@item @code{rcv_msg} - 
-@item @code{prcv_msg} - 
-@item @code{trcv_msg} - 
-@item @code{ref_mbx} - 
+@item @code{cre_mbx} - Create Mailbox
+@item @code{del_mbx} - Delete Mailbox
+@item @code{snd_msg} - Send Message to Mailbox
+@item @code{rcv_msg} - Poll and Receive Message from Mailbox
+ Receive Message from Mailbox
+ Receive Message from Mailbox with Timeout
+@item @code{prcv_msg} - Poll and Receive Message from Mailbox
+@item @code{trcv_msg} - Receive Message from Mailbox with Timeout
+@item @code{ref_mbx} - Reference Mailbox Status
 @end itemize
 
@@ -30,5 +32,5 @@
 @section Operations
 
-@section Directives
+@section System Calls
 
 This section details the mailbox manager's services.
@@ -43,5 +45,5 @@
 
 @page
-@subsection cre_mbx - 
+@subsection cre_mbx - Create Mailbox
 
 @subheading CALLING SEQUENCE:
@@ -71,5 +73,5 @@
 
 @page
-@subsection del_mbx - 
+@subsection del_mbx - Delete Mailbox
 
 @subheading CALLING SEQUENCE:
@@ -99,5 +101,5 @@
 
 @page
-@subsection snd_msg - 
+@subsection snd_msg - Send Message to Mailbox
 
 @subheading CALLING SEQUENCE:
@@ -127,5 +129,7 @@
 
 @page
-@subsection rcv_msg - 
+@subsection rcv_msg - Poll and Receive Message from Mailbox
+ Receive Message from Mailbox
+ Receive Message from Mailbox with Timeout
 
 @subheading CALLING SEQUENCE:
@@ -155,5 +159,5 @@
 
 @page
-@subsection prcv_msg - 
+@subsection prcv_msg - Poll and Receive Message from Mailbox
 
 @subheading CALLING SEQUENCE:
@@ -183,5 +187,5 @@
 
 @page
-@subsection trcv_msg - 
+@subsection trcv_msg - Receive Message from Mailbox with Timeout
 
 @subheading CALLING SEQUENCE:
@@ -211,5 +215,5 @@
 
 @page
-@subsection ref_mbx - 
+@subsection ref_mbx - Reference Mailbox Status
 
 @subheading CALLING SEQUENCE:
Index: doc/itron3.0/memorypool.t
===================================================================
--- doc/itron3.0/memorypool.t	(revision ce66895e86c10ceb01eff50277508b5f270648e4)
+++ doc/itron3.0/memorypool.t	(revision b4b24f4b85fb1f57ba7a952b4c860247fb852bf5)
@@ -17,11 +17,13 @@
 
 @itemize @bullet
-@item @code{cre_mpl} - 
-@item @code{del_mpl} - 
-@item @code{get_blk} - 
-@item @code{pget_blk} - 
-@item @code{tget_blk} - 
-@item @code{rel_blk} - 
-@item @code{ref_mpl} - 
+@item @code{cre_mpl} - Create Variable-Size Memorypool
+@item @code{del_mpl} - Delete Variable-Size Memorypool
+@item @code{get_blk} - Get Variable-Size Memory Block
+ Poll and Get Variable-Size Memory Block
+ Get Variable-Size Memory Block with Timeout
+@item @code{pget_blk} - Poll and Get Variable-Size Memory Block
+@item @code{tget_blk} - Get Variable-Size Memory Block with Timeout
+@item @code{rel_blk} - Release Variable-Size Memory Block
+@item @code{ref_mpl} - Reference Variable-Size Memorypool Status
 @end itemize
 
@@ -30,5 +32,5 @@
 @section Operations
 
-@section Directives
+@section System Calls
 
 This section details the memory pool manager's services.
@@ -43,5 +45,5 @@
 
 @page
-@subsection cre_mpl - 
+@subsection cre_mpl - Create Variable-Size Memorypool
 
 @subheading CALLING SEQUENCE:
@@ -71,5 +73,5 @@
 
 @page
-@subsection del_mpl - 
+@subsection del_mpl - Delete Variable-Size Memorypool
 
 @subheading CALLING SEQUENCE:
@@ -99,5 +101,7 @@
 
 @page
-@subsection get_blk - 
+@subsection get_blk - Get Variable-Size Memory Block
+ Poll and Get Variable-Size Memory Block
+ Get Variable-Size Memory Block with Timeout
 
 @subheading CALLING SEQUENCE:
@@ -127,5 +131,5 @@
 
 @page
-@subsection pget_blk - 
+@subsection pget_blk - Poll and Get Variable-Size Memory Block
 
 @subheading CALLING SEQUENCE:
@@ -155,5 +159,5 @@
 
 @page
-@subsection tget_blk - 
+@subsection tget_blk - Get Variable-Size Memory Block with Timeout
 
 @subheading CALLING SEQUENCE:
@@ -183,5 +187,5 @@
 
 @page
-@subsection rel_blk - 
+@subsection rel_blk - Release Variable-Size Memory Block
 
 @subheading CALLING SEQUENCE:
@@ -211,5 +215,5 @@
 
 @page
-@subsection ref_mpl - 
+@subsection ref_mpl - Reference Variable-Size Memorypool Status
 
 @subheading CALLING SEQUENCE:
Index: doc/itron3.0/msgbuffer.t
===================================================================
--- doc/itron3.0/msgbuffer.t	(revision ce66895e86c10ceb01eff50277508b5f270648e4)
+++ doc/itron3.0/msgbuffer.t	(revision b4b24f4b85fb1f57ba7a952b4c860247fb852bf5)
@@ -17,13 +17,17 @@
 
 @itemize @bullet
-@item @code{cre_mbf} - 
-@item @code{del_mbf} - 
-@item @code{snd_mbf} - 
-@item @code{psnd_mbf} - 
-@item @code{tsnd_mbf} - 
-@item @code{rcv_mbf} - 
-@item @code{prcv_mbf} - 
-@item @code{trcv_mbf} - 
-@item @code{ref_mbf} - 
+@item @code{cre_mbf} - Create MessageBuffer
+@item @code{del_mbf} - Delete MessageBuffer
+@item @code{snd_mbf} - Poll and Send Message to MessageBuffer
+ Send Message to MessageBuffer
+ Send Message to MessageBuffer with Timeout
+@item @code{psnd_mbf} - Poll and Send Message to MessageBuffer
+@item @code{tsnd_mbf} - Send Message to MessageBuffer with Timeout
+@item @code{rcv_mbf} - Poll and Receive Message from MessageBuffer
+ Receive Message from MessageBuffer
+ Receive Message from MessageBuffer with Timeout
+@item @code{prcv_mbf} - Poll and Receive Message from MessageBuffer
+@item @code{trcv_mbf} - Receive Message from MessageBuffer with Timeout
+@item @code{ref_mbf} - Reference MessageBuffer Status
 @end itemize
 
@@ -32,5 +36,5 @@
 @section Operations
 
-@section Directives
+@section System Calls
 
 This section details the message buffer manager's services.
@@ -45,5 +49,5 @@
 
 @page
-@subsection cre_mbf - 
+@subsection cre_mbf - Create MessageBuffer
 
 @subheading CALLING SEQUENCE:
@@ -73,5 +77,5 @@
 
 @page
-@subsection del_mbf - 
+@subsection del_mbf - Delete MessageBuffer
 
 @subheading CALLING SEQUENCE:
@@ -101,5 +105,7 @@
 
 @page
-@subsection snd_mbf - 
+@subsection snd_mbf - Poll and Send Message to MessageBuffer
+ Send Message to MessageBuffer
+ Send Message to MessageBuffer with Timeout
 
 @subheading CALLING SEQUENCE:
@@ -129,5 +135,5 @@
 
 @page
-@subsection psnd_mbf - 
+@subsection psnd_mbf - Poll and Send Message to MessageBuffer
 
 @subheading CALLING SEQUENCE:
@@ -157,5 +163,5 @@
 
 @page
-@subsection tsnd_mbf - 
+@subsection tsnd_mbf - Send Message to MessageBuffer with Timeout
 
 @subheading CALLING SEQUENCE:
@@ -185,5 +191,7 @@
 
 @page
-@subsection rcv_mbf - 
+@subsection rcv_mbf - Poll and Receive Message from MessageBuffer
+ Receive Message from MessageBuffer
+ Receive Message from MessageBuffer with Timeout
 
 @subheading CALLING SEQUENCE:
@@ -213,5 +221,5 @@
 
 @page
-@subsection prcv_mbf - 
+@subsection prcv_mbf - Poll and Receive Message from MessageBuffer
 
 @subheading CALLING SEQUENCE:
@@ -241,5 +249,5 @@
 
 @page
-@subsection trcv_mbf - 
+@subsection trcv_mbf - Receive Message from MessageBuffer with Timeout
 
 @subheading CALLING SEQUENCE:
@@ -269,5 +277,5 @@
 
 @page
-@subsection ref_mbf - 
+@subsection ref_mbf - Reference MessageBuffer Status
 
 @subheading CALLING SEQUENCE:
Index: doc/itron3.0/network.t
===================================================================
--- doc/itron3.0/network.t	(revision ce66895e86c10ceb01eff50277508b5f270648e4)
+++ doc/itron3.0/network.t	(revision b4b24f4b85fb1f57ba7a952b4c860247fb852bf5)
@@ -17,8 +17,8 @@
 
 @itemize @bullet
-@item @code{nrea_dat} - 
-@item @code{nwri_dat} - 
-@item @code{nget_nod} - 
-@item @code{nget_ver} - 
+@item @code{nrea_dat} - Read Data from another Node
+@item @code{nwri_dat} - Write Data to another Node
+@item @code{nget_nod} - Get Local Node Number
+@item @code{nget_ver} - Get Version Information of another Node
 @end itemize
 
@@ -27,5 +27,5 @@
 @section Operations
 
-@section Directives
+@section System Calls
 
 This section details the network support manager's services.
@@ -40,5 +40,5 @@
 
 @page
-@subsection nrea_dat - 
+@subsection nrea_dat - Read Data from another Node
 
 @subheading CALLING SEQUENCE:
@@ -68,5 +68,5 @@
 
 @page
-@subsection nwri_dat - 
+@subsection nwri_dat - Write Data to another Node
 
 @subheading CALLING SEQUENCE:
@@ -96,5 +96,5 @@
 
 @page
-@subsection nget_nod - 
+@subsection nget_nod - Get Local Node Number
 
 @subheading CALLING SEQUENCE:
@@ -124,5 +124,5 @@
 
 @page
-@subsection nget_ver - 
+@subsection nget_ver - Get Version Information of another Node
 
 @subheading CALLING SEQUENCE:
Index: doc/itron3.0/rendezvous.t
===================================================================
--- doc/itron3.0/rendezvous.t	(revision ce66895e86c10ceb01eff50277508b5f270648e4)
+++ doc/itron3.0/rendezvous.t	(revision b4b24f4b85fb1f57ba7a952b4c860247fb852bf5)
@@ -17,15 +17,19 @@
 
 @itemize @bullet
-@item @code{cre_por} - 
-@item @code{del_por} - 
-@item @code{cal_por} - 
-@item @code{pcal_por} - 
-@item @code{tcal_por} - 
-@item @code{acp_por} - 
-@item @code{pacp_por} - 
-@item @code{tacp_por} - 
-@item @code{fwd_por} - 
-@item @code{rpl_rdv} - 
-@item @code{ref_por} - 
+@item @code{cre_por} - Create Port for Rendezvous
+@item @code{del_por} - Delete Port for Rendezvous
+@item @code{cal_por} - Call Port for Rendezvous
+ Poll and Call Port for Rendezvous
+ Call Port for Rendezvous with Timeout
+@item @code{pcal_por} - Poll and Call Port for Rendezvous
+@item @code{tcal_por} - Call Port for Rendezvous with Timeout
+@item @code{acp_por} - Accept Port for Rendezvous
+ Poll and Accept Port for Rendezvous
+ Accept Port for Rendezvous with Timeout
+@item @code{pacp_por} - Poll and Accept Port for Rendezvous
+@item @code{tacp_por} - Accept Port for Rendezvous with Timeout
+@item @code{fwd_por} - Forward Rendezvous to Other Port
+@item @code{rpl_rdv} - Reply Rendezvous
+@item @code{ref_por} - Reference Port Status
 @end itemize
 
@@ -34,5 +38,5 @@
 @section Operations
 
-@section Directives
+@section System Calls
 
 This section details the rendezvous manager's services.
@@ -47,5 +51,5 @@
 
 @page
-@subsection cre_por - 
+@subsection cre_por - Create Port for Rendezvous
 
 @subheading CALLING SEQUENCE:
@@ -75,5 +79,5 @@
 
 @page
-@subsection del_por - 
+@subsection del_por - Delete Port for Rendezvous
 
 @subheading CALLING SEQUENCE:
@@ -103,5 +107,7 @@
 
 @page
-@subsection cal_por - 
+@subsection cal_por - Call Port for Rendezvous
+ Poll and Call Port for Rendezvous
+ Call Port for Rendezvous with Timeout
 
 @subheading CALLING SEQUENCE:
@@ -131,5 +137,5 @@
 
 @page
-@subsection pcal_por - 
+@subsection pcal_por - Poll and Call Port for Rendezvous
 
 @subheading CALLING SEQUENCE:
@@ -159,5 +165,5 @@
 
 @page
-@subsection tcal_por - 
+@subsection tcal_por - Call Port for Rendezvous with Timeout
 
 @subheading CALLING SEQUENCE:
@@ -187,5 +193,7 @@
 
 @page
-@subsection acp_por - 
+@subsection acp_por - Accept Port for Rendezvous
+ Poll and Accept Port for Rendezvous
+ Accept Port for Rendezvous with Timeout
 
 @subheading CALLING SEQUENCE:
@@ -215,5 +223,5 @@
 
 @page
-@subsection pacp_por - 
+@subsection pacp_por - Poll and Accept Port for Rendezvous
 
 @subheading CALLING SEQUENCE:
@@ -243,5 +251,5 @@
 
 @page
-@subsection tacp_por - 
+@subsection tacp_por - Accept Port for Rendezvous with Timeout
 
 @subheading CALLING SEQUENCE:
@@ -271,5 +279,5 @@
 
 @page
-@subsection fwd_por - 
+@subsection fwd_por - Forward Rendezvous to Other Port
 
 @subheading CALLING SEQUENCE:
@@ -299,5 +307,5 @@
 
 @page
-@subsection rpl_rdv - 
+@subsection rpl_rdv - Reply Rendezvous
 
 @subheading CALLING SEQUENCE:
@@ -327,5 +335,5 @@
 
 @page
-@subsection ref_por - 
+@subsection ref_por - Reference Port Status
 
 @subheading CALLING SEQUENCE:
Index: doc/itron3.0/tasksync.t
===================================================================
--- doc/itron3.0/tasksync.t	(revision ce66895e86c10ceb01eff50277508b5f270648e4)
+++ doc/itron3.0/tasksync.t	(revision b4b24f4b85fb1f57ba7a952b4c860247fb852bf5)
@@ -17,11 +17,13 @@
 
 @itemize @bullet
-@item @code{sus_tsk} - 
-@item @code{rsm_tsk} - 
-@item @code{frsm_tsk} - 
-@item @code{slp_tsk} - 
-@item @code{tslp_tsk} - 
-@item @code{wup_tsk} - 
-@item @code{can_wup} - 
+@item @code{sus_tsk} - Suspend Other Task
+@item @code{rsm_tsk} - Forcibly Resume Suspended Task
+ Resume Suspended Task
+@item @code{frsm_tsk} - Forcibly Resume Suspended Task
+@item @code{slp_tsk} - Sleep Task
+ Sleep Task with Timeout
+@item @code{tslp_tsk} - Sleep Task with Timeout
+@item @code{wup_tsk} - Wakeup Other Task
+@item @code{can_wup} - Cancel Wakeup Request
 @end itemize
 
@@ -30,5 +32,5 @@
 @section Operations
 
-@section Directives
+@section System Calls
 
 This section details the task-dependent synchronization manager's services.
@@ -43,5 +45,5 @@
 
 @page
-@subsection sus_tsk - 
+@subsection sus_tsk - Suspend Other Task
 
 @subheading CALLING SEQUENCE:
@@ -71,5 +73,6 @@
 
 @page
-@subsection rsm_tsk - 
+@subsection rsm_tsk - Forcibly Resume Suspended Task
+ Resume Suspended Task
 
 @subheading CALLING SEQUENCE:
@@ -99,5 +102,5 @@
 
 @page
-@subsection frsm_tsk - 
+@subsection frsm_tsk - Forcibly Resume Suspended Task
 
 @subheading CALLING SEQUENCE:
@@ -127,5 +130,6 @@
 
 @page
-@subsection slp_tsk - 
+@subsection slp_tsk - Sleep Task
+ Sleep Task with Timeout
 
 @subheading CALLING SEQUENCE:
@@ -155,5 +159,5 @@
 @c
 
-@subsection tslp_tsk - 
+@subsection tslp_tsk - Sleep Task with Timeout
 @subsection tslp_tsk - Sleep Task with Timeout
 
@@ -183,5 +187,5 @@
 @c
 
-@subsection wup_tsk - 
+@subsection wup_tsk - Wakeup Other Task
 @subsection wup_tsk - Wakeup Other Task
 
@@ -211,5 +215,5 @@
 @c
 
-@subsection can_wup - 
+@subsection can_wup - Cancel Wakeup Request
 @subsection can_wup - Cancel Wakeup Request
 
Index: doc/itron3.0/time.t
===================================================================
--- doc/itron3.0/time.t	(revision ce66895e86c10ceb01eff50277508b5f270648e4)
+++ doc/itron3.0/time.t	(revision b4b24f4b85fb1f57ba7a952b4c860247fb852bf5)
@@ -17,13 +17,13 @@
 
 @itemize @bullet
-@item @code{get_tim} - 
-@item @code{set_tim} - 
-@item @code{dly_tsk} - 
-@item @code{def_cyc} - 
-@item @code{act_cyc} - 
-@item @code{ref_cyc} - 
-@item @code{def_alm} - 
-@item @code{ref_alm} - 
-@item @code{ret_tmr} - 
+@item @code{get_tim} - Get System Clock
+@item @code{set_tim} - Set System Clock
+@item @code{dly_tsk} - Delay Task
+@item @code{def_cyc} - Define Cyclic Handler
+@item @code{act_cyc} - Activate Cyclic Handler
+@item @code{ref_cyc} - Reference Cyclic Handler Status
+@item @code{def_alm} - Define Alarm Handler
+@item @code{ref_alm} - Reference Alarm Handler Status
+@item @code{ret_tmr} - Return from Timer Handler
 @end itemize
 
@@ -32,5 +32,5 @@
 @section Operations
 
-@section Directives
+@section System Calls
 
 This section details the time manager's services.
@@ -45,5 +45,5 @@
 
 @page
-@subsection get_tim - 
+@subsection get_tim - Get System Clock
 
 @subheading CALLING SEQUENCE:
@@ -73,5 +73,5 @@
 
 @page
-@subsection set_tim - 
+@subsection set_tim - Set System Clock
 
 @subheading CALLING SEQUENCE:
@@ -101,5 +101,5 @@
 
 @page
-@subsection dly_tsk - 
+@subsection dly_tsk - Delay Task
 
 @subheading CALLING SEQUENCE:
@@ -129,5 +129,5 @@
 
 @page
-@subsection def_cyc - 
+@subsection def_cyc - Define Cyclic Handler
 
 @subheading CALLING SEQUENCE:
@@ -157,5 +157,5 @@
 
 @page
-@subsection act_cyc - 
+@subsection act_cyc - Activate Cyclic Handler
 
 @subheading CALLING SEQUENCE:
@@ -185,5 +185,5 @@
 
 @page
-@subsection ref_cyc - 
+@subsection ref_cyc - Reference Cyclic Handler Status
 
 @subheading CALLING SEQUENCE:
@@ -213,5 +213,5 @@
 
 @page
-@subsection def_alm - 
+@subsection def_alm - Define Alarm Handler
 
 @subheading CALLING SEQUENCE:
@@ -241,5 +241,5 @@
 
 @page
-@subsection ref_alm - 
+@subsection ref_alm - Reference Alarm Handler Status
 
 @subheading CALLING SEQUENCE:
@@ -269,5 +269,5 @@
 
 @page
-@subsection ret_tmr - 
+@subsection ret_tmr - Return from Timer Handler
 
 @subheading CALLING SEQUENCE:
